GroovyRootDocBuilder (Groovy 2.4.11)
Date: 2017-04-27

org.codehaus.groovy.tools.groovydoc

## Class GroovyRootDocBuilder

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.GroovyRootDocBuilder

-     public class GroovyRootDocBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List<LinkArgument> links, Properties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildTree(List<String> filenames)`
    `Map<String,GroovyClassDoc>` | `getClassDocsFromSingleSource(String packagePath, String file, String src)`
    `GroovyRootDoc` | `getRootDoc()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyRootDocBuilder

          public GroovyRootDocBuilder(GroovyDocTool tool,
                                      String[] sourcepaths,
                                      List<LinkArgument> links,
                                      Properties properties)

  - ### Method Detail

    - #### getClassDocsFromSingleSource

          public Map<String,GroovyClassDoc> getClassDocsFromSingleSource(String packagePath,
                                                                         String file,
                                                                         String src)
                                                                  throws RecognitionException,
                                                                         TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### buildTree

          public void buildTree(List<String> filenames)
                         throws IOException

      Throws:
        `IOException`

    - #### getRootDoc

          public GroovyRootDoc getRootDoc()